
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter/src/widgets/framework.dart';
import 'package:flutter_easyloading/flutter_easyloading.dart';

import '../../widgets/layout/BasicPage.dart';
import 'cityList.dart';

class CitySelectPage extends BasicPage {
  CitySelectPage({Key? key}) : super(key: key) {
    naviTitle = '选择城市';
  }

  @override
  Widget builder(BuildContext context) {
    return ListView(
      children: cityList.map((city) => (
        ListTile(title: Text(city), onTap: () {
          EasyLoading.showToast("该地区尚未开通相关服务");
        },)
      )).toList(),
    );
  }

}